import * as $dara from '@darabonba/typescript';
export declare class DeleteVpcGatewayEndpointResponseBody extends $dara.Model {
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * A1122D0F-7B3B-5445-BB19-17F27F97FE1C
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
